Unit tadg2c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ADG2C_p;

function tadg2c: String;

implementation

function tadg2c: String;
var
M,N,J,I,IERR :Integer;
DET2,RCOND :Real;
DET1 :Complex;
Z :Array [0..3] of Complex;
NLEAD :Array [0..3] of Integer;
const
A :Array [0..15] of Complex = ( ( re:1.0; im:0.0 ),( re:0.42; im:0.0 ),( 
re:0.54; im:0.0 ),( re:0.66; im:0.0 ),( re:0.42; 
im:0.0 ),( re:1.0; im:0.0 ),( re:0.32; im:0.0 ),( 
re:0.44; im:0.0 ),( re:0.54; im:0.0 ),( re:0.32; 
im:0.0 ),( re:1.0; im:0.0 ),( re:0.22; im:0.0 ),( 
re:0.66; im:0.0 ),( re:0.44; im:0.0 ),( re:0.22; 
im:0.0 ),( re:1.0; im: 0.0 ) );
begin
Result := '';  {   }
M := 4;
N := M;
Result := Result + #$0D#$0A;
for I:=1 to M do
 begin
  for J:=1 to N do
   begin
    Result := Result + Format('%20.16f  %20.16f ',
 [A[(I-1)+(J-1)*4].re,A[(I-1)+(J-1)*4].im]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
ADG2C(A,M,N,NLEAD,DET1,DET2,RCOND,Z,IERR);
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   NLEAD=' + #$0D#$0A]);
for J:=1 to N do
 begin
  Result := Result + Format('  ',[NLEAD[J-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to M do
 begin
  for J:=1 to N do
   begin
    Result := Result + Format('%20.16f  %20.16f ',
 [A[(I-1)+(J-1)*4].re,A[(I-1)+(J-1)*4].im]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   IERR=']);
Result := Result + Format('%3d ',[IERR]);
Result := Result + Format('%s',['  RCOND=']);
Result := Result + Format('%20.16f ',[RCOND]);
Result := Result + Format('%s',['   DET=']);
Result := Result + Format(' %20.16f   %20.16f            %20.16f ',
 [DET1.re,DET1.im,DET2]) + #$0D#$0A;
UtRes('tadg2c',Result);  {     tadg2c.res }
exit;
end;

end.
